Name:           pp-uboot
Version:        2021.02
Release:        2%{?dist}
Summary:        uboot from pine64.org with UEFI Btrfs and Crust support for the PinePhone 2GB and 3GB models

License:        GPLv3+
URL:            https://pine64-org.gitlab.org/uboot
Source0:        ftp://ftp.warpspeed.dk/pinephone/pp-uboot-2021.01-rc4b.zip

Requires: 	bash
#BuildArch:      noarch

#Obsoletes:      yoda-uboot


%description
Uboot from Pine64-org.gitlab.org with support for 2GB and 3GB phones - and with Crust suspend support.

%global debug_package %{nil}

%prep
%autosetup -p1 -c

%install
mkdir -p $RPM_BUILD_ROOT/boot/
cp u-boot-sunxi-with-spl.bin $RPM_BUILD_ROOT/boot/
cp update-uboot.sh $RPM_BUILD_ROOT/boot/
cp Readme.uboot $RPM_BUILD_ROOT/boot/
cp update-boot-script.sh $RPM_BUILD_ROOT/boot/
cp boot.scr $RPM_BUILD_ROOT/boot/
cp boot.cmd $RPM_BUILD_ROOT/boot/

%post
cd /boot
bash ./update-uboot.sh


%files
/boot/u-boot-sunxi-with-spl.bin
/boot/update-uboot.sh
/boot/Readme.uboot
/boot/update-boot-script.sh
/boot/boot.cmd
/boot/boot.scr

%changelog
* Wed Mar 13 2024 Yoda - 2021.02-1
- No change, just a COPR refresh

* Fri Aug 20 2021 Yoda - 2021.02-1
- Update to latest crust

* Sat Apr 3 2021 Yoda - 2021.01-rc4b
- Updated ATF and Crust for kernels with new CPUIDLE support
- Included boot.cmd and boot.scr into this package

* Mon Feb 15 2021 Yoda - add script
- Add script file for easy compile of boot.cmd

* Fri Jan 01 2021 Yoda - update to uboot 2021.01-rc4
- Update to latest version - fixing wifi ip change

* Wed Oct 14 2020 Yoda - v0
- Initial packaging (hack)

